<?php

namespace Phparch;

class Event
{
    protected $id;
    protected $title;
    protected $date;
    protected $type;
    protected $uid;

    public function __construct(?int $id, string $title, string $date,
                                string $type, string $uid) {
        $this->id = $id;
        $this->title = $title;
        $this->date = $date;
        $this->type = $type;
        $this->uid = $uid;
    }

    /**
     * @return int|null
     */
    public function getId()
    {
        return $this->id;
    }

    public function getDescription() : string {
        $date = new \DateTime($this->date);
        switch ($this->type) {
            case 'all_day':
                return 'This is an all day event on ' . $date->format("F j, Y");
            case 'timed':
                return 'This event starts at ' . $date->format('F j, Y H:i a');
        }
    }

    /**
     * @return string
     */
    public function getTitle(): string
    {
        return $this->title;
    }

    /**
     * @return string
     */
    public function getDate(): string
    {
        return $this->date;
    }

    /**
     * @return string
     */
    public function getType(): string
    {
        return $this->type;
    }

    /**
     * @return mixed
     */
    public function getUid()
    {
        return $this->uid;
    }

}