<?php
namespace Phparch\Events;

class Webinar extends \Phparch\Event
{
    protected $link;

    public function __construct(?int $id, string $title, string $date,
                                string $type, string $uid, string $link) {

        parent::__construct($id, $title, $date, $type, $uid);

        $link = filter_var($link, FILTER_VALIDATE_URL);
        if (empty($link)) {
            throw new \UnexpectedValueException("Invalid URL");
        }

        $this->link = $link;
    }

    public function getDescription() : string {
        return 'This webinar will begin ' . $this->formatDate("F j, Y ")
            . ' at ' . $this->formatDate("h:i a") . '.'
            . ' <a href="' . $this->link .'">Join the Webinar</a>';
    }
}