<?php

namespace Phparch\Events;

class Repository
{
    protected $dbh;

    public function __construct(\PDO $dbh) {
        $this->dbh = $dbh;
    }

    public function getAll() {
        $stmt = $this->dbh->prepare("SELECT * FROM events");
        $stmt->execute();

        while ($row = $stmt->fetch(\PDO::FETCH_ASSOC)) {
            $event = Factory::fromArray($row);
            yield $event; // generators!
        }
    }

    public function findByUid(string $uid) : \Phparch\Event {
        $stmt = $this->dbh->prepare("SELECT * FROM events WHERE uid=?");
        if ($result = $stmt->execute([$uid])) {
            $row = $stmt->fetch(\PDO::FETCH_ASSOC);
            return Factory::fromArray($row);
        }
    }
}