<?php

namespace Phparch\Replies;
use \DateTime;

class Reply
{
    protected $event_id;
    protected $email;
    protected $reply;
    protected $updated;

    public function __construct(string $event_id, string $email,
                                string $reply, ?DateTime $updated) {
        $this->event_id = $event_id;

        $email = filter_var($email,FILTER_VALIDATE_EMAIL);
        if (empty($email)) {
            throw new \UnexpectedValueException("Invalid email argument");
        }
        $this->email = $email;

        $reply = strtolower($reply);
        if (!in_array($reply, ['yes', 'no', 'maybe'])) {
            throw new \UnexpectedValueException("Invalid reply state.");
        }

        $this->reply = $reply;
        $this->updated = $updated ?? new DateTime("now");
    }

    /**
     * @return int|null
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getEventId(): string
    {
        return $this->event_id;
    }

    /**
     * @return string
     */
    public function getEmail(): string
    {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getReply(): string
    {
        return $this->reply;
    }

    /**
     * @return string
     */
    public function getUpdated(): \DateTime
    {
        return $this->updated;
    }
}