<?php
require (__DIR__ . '/vendor/autoload.php');
error_reporting(-1);
ini_set('display_errors', 1);

$dispatcher = FastRoute\simpleDispatcher(
    function(FastRoute\RouteCollector $r)
    {
        $r->addRoute('GET', '/events', function() {
            $dbfile = realpath(__DIR__ . '/../invites.db');
            $dbh = new PDO('sqlite:' . $dbfile);
            $EventRepository = new \Phparch\Events\Repository($dbh);
            $controller = new \Phparch\Controllers\Events($EventRepository);
            return $controller->index();
        });

        $r->addRoute(['GET', 'POST'], '/rsvp/{event_id}', 'get_user_handler');
});

// Fetch method and URI from somewhere
$httpMethod = $_SERVER['REQUEST_METHOD'];
$uri = $_SERVER['REQUEST_URI'];

// Strip query string (?foo=bar) and decode URI
if (false !== $pos = strpos($uri, '?')) {
    $uri = substr($uri, 0, $pos);
}
$uri = rawurldecode($uri);

$routeInfo = $dispatcher->dispatch($httpMethod, $uri);
switch ($routeInfo[0]) {
    case FastRoute\Dispatcher::NOT_FOUND:
        // ... 404 Not Found
        break;
    case FastRoute\Dispatcher::METHOD_NOT_ALLOWED:
        $allowedMethods = $routeInfo[1];
        // ... 405 Method Not Allowed
        break;
    case FastRoute\Dispatcher::FOUND:
        $handler = $routeInfo[1];
        $vars = $routeInfo[2];
        // ... call $handler with $vars

        call_user_func_array($handler, $vars);
        break;
}