<?php
/* Displays an invite RSVP and allows a visitor to update their reply */
require (__DIR__ . '/vendor/autoload.php');

ini_set('display_errors', 1);

$event_uid = $_GET['event'] ?? null;
if (empty($event_uid)) {
    trigger_error("Invite ID missing", E_USER_ERROR);
}

$dbh = new PDO('sqlite:../invites.db');

// fetch the invite as an arrow from the database
$EventRepository = new Phparch\Events\Repository($dbh);
$event = $EventRepository->findByUid($event_uid);

if (!empty($_POST)) {
    try {
        $ReplyRepository = new Phparch\Replies\Repository($dbh);
        $Reply = new Phparch\Replies\Reply(
            $event->getId(), $_POST['email'], $_POST['response']
        );

        $ReplyRepository->update($Reply);
        $msg = "Your response was saved";
    } catch (\UnexpectedValueException $ex) {
        $msg = $ex->getMessage();
    }
}

// display form
?>
<html>
<body>
<h2><?= htmlentities($event->getTitle()) ?></h2>
<p><?= $event->getDescription() ?></p>
<?php if (isset($msg)): ?>
    <p><?php echo $msg ?></p>
<?php endif; ?>

<form method="POST" action="">
    <label>Your Email <input type="email" name="email" value="" required="required"/></label>
    <p><b>Will You Attend?</b></p>
    <div>
    <label><input type="radio" name="response" value="yes">Yes</label>
    <label><input type="radio" name="response" value="no">No</label>
    <label><input type="radio" name="response" value="maybe">Maybe</label>
    </div>
    <input type="submit" name="submit"value="Save Your Reply" />
</form>
</body>

</html>
