<?php

namespace Phparch;

abstract class Event
{
    protected $id;
    protected $title;
    protected $date;
    protected $type;
    protected $uid;

    public function __construct(?int $id, string $title, string $date,
                                string $type, string $uid) {
        $this->id = $id;
        $this->title = $title;
        $this->date = $date;
        $this->type = $type;
        $this->uid = $uid;
    }

    abstract function getDescription() : string;

    public function formatDate(string $string) {
        $date = new \DateTime($this->date);
        return $date->format($string);
    }

    /**
     * @return int|null
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getTitle(): string
    {
        return $this->title;
    }

    /**
     * @return string
     */
    public function getDate(): string
    {
        return $this->date;
    }

    /**
     * @return string
     */
    public function getType(): string
    {
        return $this->type;
    }

    /**
     * @return mixed
     */
    public function getUid()
    {
        return $this->uid;
    }

}