<?php
namespace Phparch\Events;

class Factory
{
    private function __construct()
    {
    }

    public static function fromArray(array $row) : \Phparch\Event
    {
        switch ($row['event_type']) {
            case 'all_day':
                return new AllDay(
                    $row['id'], $row['title'], $row['event_date'],
                    $row['event_type'], $row['uid']
                );
            case 'timed':
                return new Timed(
                    $row['id'], $row['title'], $row['event_date'],
                    $row['event_type'], $row['uid']
                );
            case 'webinar':
                return new Webinar(
                    $row['id'], $row['title'], $row['event_date'],
                    $row['event_type'], $row['uid'], $row['link']
                );
        }
    }
}